package com.ruoyi.system.mapper;

import java.util.List;
import com.ruoyi.system.domain.KeyPeopleInfo;

/**
 * 重点人群信息Mapper接口
 * 
 * @author boman
 * @date 2022-09-27
 */
public interface KeyPeopleInfoMapper 
{
    /**
     * 查询重点人群信息
     * 
     * @param id 重点人群信息主键
     * @return 重点人群信息
     */
    public KeyPeopleInfo selectKeyPeopleInfoById(Long id);

    /**
     * 查询重点人群信息列表
     * 
     * @param keyPeopleInfo 重点人群信息
     * @return 重点人群信息集合
     */
    public List<KeyPeopleInfo> selectKeyPeopleInfoList(KeyPeopleInfo keyPeopleInfo);

    /**
     * 新增重点人群信息
     * 
     * @param keyPeopleInfo 重点人群信息
     * @return 结果
     */
    public int insertKeyPeopleInfo(KeyPeopleInfo keyPeopleInfo);

    /**
     * 修改重点人群信息
     * 
     * @param keyPeopleInfo 重点人群信息
     * @return 结果
     */
    public int updateKeyPeopleInfo(KeyPeopleInfo keyPeopleInfo);

    /**
     * 删除重点人群信息
     * 
     * @param id 重点人群信息主键
     * @return 结果
     */
    public int deleteKeyPeopleInfoById(Long id);

    /**
     * 批量删除重点人群信息
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteKeyPeopleInfoByIds(Long[] ids);
}
